tigase.server.sreceiver

## Class RosterItem

- java.lang.Object
- - tigase.server.sreceiver.RosterItem

-     public class RosterItem
      extends Object

  Describe class RosterItem here. Created: Fri May 11 22:46:58 2007
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RosterItem(tigase.xmpp.JID jid)` Creates a new `RosterItem` instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `tigase.xmpp.JID` | `getJid()` Gets the value of jid
    `boolean` | `isAdmin()` Gets the value of admin
    `boolean` | `isModerationAccepted()` Gets the value of moderation_accepted
    `boolean` | `isOnline()` Gets the value of online
    `boolean` | `isOwner()` Gets the value of owner
    `boolean` | `isSubscribed()` Gets the value of subscribed
    `void` | `setAdmin(boolean argAdmin)` Sets the value of admin
    `void` | `setModerationAccepted(boolean argModeration_accepted)` Sets the value of moderation_accepted
    `void` | `setOnline(boolean argOnline)` Sets the value of online
    `void` | `setOwner(boolean argOwner)` Sets the value of owner
    `void` | `setSubscribed(boolean argSubscribed)` Sets the value of subscribed

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RosterItem

          public RosterItem(tigase.xmpp.JID jid)

      Creates a new `RosterItem` instance.

  - ### Method Detail

    - #### getJid

          public tigase.xmpp.JID getJid()

      Gets the value of jid
      Returns:
        the value of jid

    - #### isOnline

          public boolean isOnline()

      Gets the value of online
      Returns:
        the value of online

    - #### setOnline

          public void setOnline(boolean argOnline)

      Sets the value of online
      Parameters:
        `argOnline` - Value to assign to this.online

    - #### isSubscribed

          public boolean isSubscribed()

      Gets the value of subscribed
      Returns:
        the value of subscribed

    - #### setSubscribed

          public void setSubscribed(boolean argSubscribed)

      Sets the value of subscribed
      Parameters:
        `argSubscribed` - Value to assign to this.subscribed

    - #### isOwner

          public boolean isOwner()

      Gets the value of owner
      Returns:
        the value of owner

    - #### setOwner

          public void setOwner(boolean argOwner)

      Sets the value of owner
      Parameters:
        `argOwner` - Value to assign to this.owner

    - #### isAdmin

          public boolean isAdmin()

      Gets the value of admin
      Returns:
        the value of admin

    - #### setAdmin

          public void setAdmin(boolean argAdmin)

      Sets the value of admin
      Parameters:
        `argAdmin` - Value to assign to this.admin

    - #### isModerationAccepted

          public boolean isModerationAccepted()

      Gets the value of moderation_accepted
      Returns:
        the value of moderation_accepted

    - #### setModerationAccepted

          public void setModerationAccepted(boolean argModeration_accepted)

      Sets the value of moderation_accepted
      Parameters:
        `argModeration_accepted` - Value to assign to this.moderation_accepted

Copyright © 2014 "Tigase, Inc.". All rights reserved.